Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::remove_copy_if_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename O , typename C , typename P = ident, requires = (RemoveCopyableIf<I, O, C, P>() && Sentinel<S, I>())>
tagged_pair< tag::in(I), tag::out(O)> | operator() (I begin, S end, O out, C pred, P proj=P{}) const
template<typename Rng , typename O , typename C , typename P = ident, typename I = iterator_t<Rng>, requires = (RemoveCopyableIf<I, O, C, P>() && InputRange<Rng>())>
tagged_pair< tag::in(safe_iterator_t< Rng >), tag::out(O)> | operator() (Rng &&rng, O out, C pred, P proj=P{}) const